(TeX-add-style-hook
 "BHCexam"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("exam" "addpoints")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("geometry" "papersize={184mm,260mm}" "hmargin={3cm,2cm}" "vmargin={2cm,2cm}" "marginparsep=0.5cm" "hoffset=0cm" "voffset=0cm" "footnotesep=0.5cm" "headsep=0.5cm" "twoside" "paper=a4paper" "hmargin={2cm,2cm}" "papersize={210mm,297mm}")))
   (TeX-run-style-hooks
    "latex2e"
    "exam"
    "exam10"
    "ctex"
    "ifpdf"
    "ifxetex"
    "amsmath"
    "amssymb"
    "amsthm"
    "bm"
    "bbding"
    "pifont"
    "dsfont"
    "mathtools"
    "paralist"
    "cases"
    "tabularx"
    "pstricks"
    "pst-plot"
    "xcolor"
    "graphicx"
    "geometry")
   (TeX-add-symbols
    '("abs" 1)
    '("setjd" 2)
    '("fourch" 4)
    '("twoch" 4)
    '("onech" 4)
    '("setxz" 3)
    '("ltk" 1)
    '("mtk" 1)
    '("stk" 1)
    '("settk" 3)
    '("xinxi" 2)
    '("fubiaoti" 1)
    '("biaoti" 1)
    "printmlol"
    "printmlor"
    "mininotice"
    "notice"
    "pinfen"
    "houpinfen"
    "tiankong"
    "xuanze"
    "jianda")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0))
   (LaTeX-add-saveboxes
    "zdxl"
    "zdxr"))
 :latex)

