(TeX-add-style-hook
 "chet"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("showkeys" "notref" "notcite") ("caption" "labelsep=colon" "labelfont=bf") ("collref" "parsep") ("manyfoot" "para") ("footmisc" "bottom") ("geometry" "left=2.5cm" "right=2.5cm" "top=2.5cm" "bottom=3cm") ("hyperref" "linktocpage")))
   (TeX-run-style-hooks
    "kvoptions"
    "xparse"
    "xspace"
    "showkeys"
    "datetime"
    "amsmath"
    "caption"
    "tocloft"
    "cite"
    "collref"
    "color"
    "microtype"
    "manyfoot"
    "footmisc"
    "filecontents"
    "geometry"
    "hyperref")
   (TeX-add-symbols
    '("preprint" 1)
    '("affiliation" 1)
    '("emails" 1)
    '("emailV" 1)
    '("email" 1)
    '("ack" 1)
    '("rcitedraft" 1)
    '("showkeyslabelformat" 1)
    "rcite"
    "draftmode"
    "foot"
    "toc"
    "appendix"
    "appendices"
    "mytitlefont"
    "section"
    "maketitle")
   (LaTeX-add-labels
    "#2"
    "#4"
    "#5"
    "#6"
    "#7"
    "#8"
    "#9")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    "acknowledgments"))
 :latex)

