(TeX-add-style-hook
 "cnltx-doc"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("fontenc" "T1") ("libertine" "oldstyle") ("superiors" "supstfm=libertinesups") ("beramono" "scaled=.81") ("biblatex" "backend=biber" "style=cnltx" "sortlocale=en_US" "indexing=cite")))
   (TeX-run-style-hooks
    "cnltx-base"
    "ifxetex"
    "ifluatex"
    "fontenc"
    "fontspec"
    "libertine"
    "libertinehologopatch"
    "superiors"
    "microtype"
    "beramono"
    "fnpct"
    "scrlayer-scrpage"
    "biblatex"
    "imakeidx"
    "multicol"
    "marginnote"
    "ragged2e"
    "hyperref")
   (TeX-add-symbols
    '("nohyperpage" 1)
    '("pdfstringdefDisableCommands" 1)
    '("texorpdfstring" 2)
    "cnltx"
    "lppl"
    "LPPL"
    "ctan"
    "CTAN"
    "cmltx"
    "visiblespace"
    "versionnoteformat"
    "command"
    "opt"
    "keyval"
    "keylit"
    "keychoice"
    "keybool"
    "environment"
    "item"
    "expandablesign"
    "cnltxpackagenameformat")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    "cnltxlist"
    "commands"
    "options"
    "environments")
   (LaTeX-add-bibliographies
    "cnltx")
   (LaTeX-add-index-entries
    "LPPL@{\\cnltx@acronym@format lppl}"
    "CTAN@{\\cnltx@acronym@format ctan}")
   (LaTeX-add-lengths
    "cnltx"))
 :latex)

