(TeX-add-style-hook
 "dtk"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("scrbook" "" "twoside" "fontsize=10pt" "captions=oneline" "parskip=full-" "headings=small" "open=any" "pagesize")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("babel" "english" "main=ngerman") ("csquotes" "autostyle=true" "german=guillemets" "maxlevel=3") ("eurosym" "right" "scaled") ("microtype" "" "protrusion=true" "expansion=true" "verbose=true" "final=true" "letterspace=100" "babel=true") ("biblatex" "" "style=dtk" "language=auto" "sorting=nyt" "sortlocale=auto" "backend=biber") ("scrlayer-scrpage" "automark" "draft=false") ("listings" "final")))
   (TeX-run-style-hooks
    "latex2e"
    "dtk-old-engines"
    "dtk-new-engines"
    "dtk-author"
    "dtk-full"
    "hyphsubst"
    "ifxetex"
    "ifluatex"
    "ifpdf"
    "ifvtex"
    "luatex85"
    "xkeyval"
    "dtk-url"
    "scrbook"
    "scrbook10"
    "scrhack"
    "dtk-extern"
    "babel"
    "csquotes"
    "eurosym"
    "microtype"
    "biblatex"
    "ragged2e"
    "dtk-logos"
    "scrlayer-scrpage"
    "xcolor"
    "listings"
    "lstautogobble"
    "enumitem")
   (TeX-add-symbols
    '("Code" 1)
    '("Macro" 1)
    '("address" 3)
    "DTK"
    "journalname"
    "DTKvolume"
    "DTKdate"
    "DTKcorrVersion"
    "DTKfullIssue"
    "DTKissn"
    "EURO"
    "DTKlstKeywordfont"
    "Author"
    "DTKlstfont"
    "DTKversion"
    "DTKversiondate"
    "DTKissue"
    "DTKyear"
    "DTKmonth"
    "DTKrmFontName"
    "DTKsfFontName"
    "DTKttFontName"
    "DTKmathFontName"
    "texteuro"
    "ORIGprintbibliography"
    "and"
    "author"
    "x"
    "bibliography"
    "thefigure"
    "thetable"
    "theequation"
    "thelstlisting"
    "footnote"
    "verbatim"
    "Command"
    "Environment"
    "biblatex"
    "tex"
    "Paket"
    "Package"
    "Programm"
    "Program"
    "Env"
    "Class")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    "abstract")
   (LaTeX-add-lengths
    "DTK"
    "fullwidth")
   (LaTeX-add-saveboxes
    "DTK"))
 :latex)

