(TeX-add-style-hook
 "dvdcoll"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("hyperref" "naturalnames=true" "hypertexnames=false")))
   (TeX-run-style-hooks
    "latex2e"
    "english"
    "xkeyval"
    "ifthen"
    "scrreprt"
    "scrreprt10"
    "tabularx"
    "booktabs"
    "array"
    "multicol"
    "ragged2e"
    "pdfnotiz"
    "dcwrtbib"
    "hyperref")
   (TeX-add-symbols
    '("listofdvds" ["argument"] 1)
    '("DvdSeries" ["argument"] 1)
    '("SetSeason" ["argument"] 1)
    '("SetTOCNumwidth" 1)
    '("SetTOCSecIndent" 1)
    '("SetLFRSecNumwidth" 1)
    '("DvdTitleWithDescription" 2)
    '("DvdTitle" 2)
    '("DvdPart" 1)
    '("SetThirdColumnAddition" 1)
    '("SetCounterSpace" 1)
    '("Description" 1)
    '("SetLFRName" 1)
    '("leadzero" 2)
    "dc"
    "toclevel"
    "DvdCounter"
    "AutoTitle"
    "DvdSpace"
    "listoffaultyrecordings"
    "listofemptydescriptions"
    "l"
    "DvdBibSpace")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("Dvd" 2))
   (LaTeX-add-pagestyles
    "plain"
    "empty")
   (LaTeX-add-counters
    "dvdcount"
    "titlecount"
    "season"
    "seasontitlecount"
    "seasondvd"
    "labelcount"
    "bookmarkcount"
    "bookmarkseason"))
 :latex)

