(TeX-add-style-hook
 "ecv"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("article" "a4paper" "11pt")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("geometry" "a4paper" "pdftex" "dvips") ("inputenc" "latin9") ("fontenc" "T1") ("hyperref" "pdftex" "dvips")))
   (TeX-run-style-hooks
    "latex2e"
    "article"
    "art11"
    "ifpdf"
    "ifthen"
    "geometry"
    "longtable"
    "pgf"
    "paralist"
    "helvet"
    "xcolor"
    "fancyhdr"
    "inputenc"
    "selinput"
    "fontenc"
    "url"
    "hyperref")
   (TeX-add-symbols
    '("ecvBreakEntryBlockedSubSection" ["argument"] 2)
    '("ecvBEBSub" ["argument"] 2)
    '("ecvEntryBlockedSubSection" ["argument"] 2)
    '("ecvEBSub" ["argument"] 2)
    '("ecvBreakEntryRaggedSubSection" ["argument"] 2)
    '("ecvBERSub" ["argument"] 2)
    '("ecvEntryRaggedSubSection" ["argument"] 2)
    '("ecvERSub" ["argument"] 2)
    '("ecvBreakSubSection" ["argument"] 1)
    '("ecvBSub" ["argument"] 1)
    '("ecvSubSection" ["argument"] 1)
    '("ecvSub" ["argument"] 1)
    '("ecvBreakSection" ["argument"] 1)
    '("ecvBSec" ["argument"] 1)
    '("ecvSection" ["argument"] 1)
    '("ecvSec" ["argument"] 1)
    '("ecvOnlyValueBlocked" ["argument"] 1)
    '("ecvOVB" ["argument"] 1)
    '("ecvOnlyValueRagged" ["argument"] 1)
    '("ecvOVR" ["argument"] 1)
    '("ecvTagNextValueBlocked" ["argument"] 2)
    '("ecvENB" ["argument"] 2)
    '("ecvTagNextValueRagged" ["argument"] 2)
    '("ecvENR" ["argument"] 2)
    '("ecvTagIntermediateValueBlocked" ["argument"] 2)
    '("ecvEIB" ["argument"] 2)
    '("ecvTagIntermediateValueRagged" ["argument"] 2)
    '("ecvEIR" ["argument"] 2)
    '("ecvTagFirstValueBlocked" ["argument"] 2)
    '("ecvEFB" ["argument"] 2)
    '("ecvTagFirstValueRagged" ["argument"] 2)
    '("ecvEFR" ["argument"] 2)
    '("ecvTagPlainValueBlocked" ["argument"] 2)
    '("ecvEPB" ["argument"] 2)
    '("ecvTagPlainValueRagged" ["argument"] 2)
    '("ecvEPR" ["argument"] 2)
    '("ecvValueBlocked" ["argument"] 1)
    '("ecvVB" ["argument"] 1)
    '("ecvValueRagged" ["argument"] 1)
    '("ecvVR" ["argument"] 1)
    '("ecvTN" ["argument"] 1)
    '("ecvTagIntermediate" ["argument"] 1)
    '("ecvTI" ["argument"] 1)
    '("ecvTagFirst" ["argument"] 1)
    '("ecvTF" ["argument"] 1)
    '("ecvTagPlain" ["argument"] 1)
    '("ecvTP" ["argument"] 1)
    '("ecvBold" ["argument"] 1)
    '("ecvSignature" 2)
    '("ecvSig" 2)
    '("ecvTagNext" 2)
    '("ecvRightBlock" 1)
    '("ecvRight" 1)
    '("ecvLeft" 1)
    '("ecvBulletedFirst" 1)
    '("ecvBulleted" 1)
    '("ecvNewPara" 0)
    '("ecvNewLine" 0)
    '("ecvBreakparagraphs" 0)
    '("ecvBreaksubsections" 0)
    '("ecvBreaksections" 0)
    '("ecvPortrait" 1)
    '("ecvName" 1)
    '("ecvHttp" 1)
    '("ecvHyperEMail" 1)
    '("ecvHyperLink" 1)
    "ecvURL"
    "ecvEMail"
    "ecvNewPage"
    "ecvPageBreak")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)))
 :latex)

