(TeX-add-style-hook
 "emulateapj"
 (lambda ()
   (TeX-run-style-hooks
    "latexsym"
    "graphicx"
    "amssymb"
    "longtable"
    "epsf")
   (TeX-add-symbols
    "enddata"
    '("tablerefs" 1)
    '("tablecomments" 1)
    '("tablecolumns" 1)
    '("dlap" 1)
    '("ulap" 1)
    '("anchor" 2)
    '("ion" 2)
    '("phm" 1)
    '("figurenum" 1)
    '("plotfiddle" 7)
    '("plottwo" 2)
    '("plotone" 1)
    '("epsscale" 1)
    '("sidehead" 1)
    '("cutinhead" 1)
    "bibstyle"
    "bibindent"
    "figcaption"
    "dataset"
    "facility"
    "object"
    "objectname"
    "phn"
    "phd"
    "phs"
    "sq"
    "arcdeg"
    "arcmin"
    "arcsec"
    "fd"
    "fh"
    "fm"
    "fs"
    "fdg"
    "fp"
    "micron"
    "onehalf"
    "onethird"
    "twothirds"
    "onequarter"
    "threequarters"
    "ubvr"
    "ub"
    "bv"
    "ur"
    "nodata"
    "diameter"
    "degr"
    "Sun"
    "Sol"
    "sun"
    "Mercury"
    "Venus"
    "Earth"
    "Terra"
    "earth"
    "Mars"
    "Jupiter"
    "Saturn"
    "Uranus"
    "Neptune"
    "Pluto"
    "Moon"
    "Luna"
    "Aries"
    "VEq"
    "Taurus"
    "Gemini"
    "Cancer"
    "Leo"
    "Virgo"
    "Libra"
    "AEq"
    "Scorpius"
    "Sagittarius"
    "Capricornus"
    "Aquarius"
    "Pisces"
    "sbond"
    "dbond"
    "tbond"
    "aj"
    "araa"
    "apjl"
    "apjs"
    "apss"
    "aap"
    "aapr"
    "aaps"
    "azh"
    "baas"
    "icarus"
    "jrasc"
    "memras"
    "mnras"
    "pasp"
    "pasj"
    "qjras"
    "skytel"
    "solphys"
    "sovast"
    "ssr"
    "zap"
    "iaucirc"
    "aplett"
    "apspr"
    "bain"
    "fcp"
    "gca"
    "grl"
    "jgr"
    "jqsrt"
    "memsai"
    "nphysa"
    "physrep"
    "physscr"
    "planss"
    "procspie"
    "lastrowheight"
    "apjsecfont"
    "AppendixApjSectionMarkInTitle"
    "blankaffiliation"
    "arraystretch"
    "BeginEnvironment"
    "EndEnvironment"
    "IfUnDef"
    "NullCom"
    "begin"
    "SaveBegEnd"
    "end"
    "BeforeBegin"
    "BeforeEnd"
    "AfterBegin"
    "AfterEnd"
    "tighten"
    "tightenlines"
    "singlespace"
    "doublespace"
    "eqsecnum"
    "lefthead"
    "righthead"
    "shorttitle"
    "shortauthors"
    "affil"
    "altaffilmark"
    "altaffiltext"
    "abstractname"
    "and"
    "subjectheadings"
    "lastpagefootnotes"
    "lastpagefootnote"
    "footnoterule"
    "notetoeditor"
    "placetable"
    "placefigure"
    "footnotetext"
    "footnotemark"
    "subsection"
    "subsubsection"
    "paragraph"
    "subparagraph"
    "thesubsection"
    "thesubsubsection"
    "theparagraph"
    "acknowledgments"
    "acknowledgements"
    "ApjSectionpenalty"
    "thesection"
    "theequation"
    "ApjSectionMarkInTitle"
    "section"
    "refpar"
    "baselinestretch"
    "reference"
    "submitted"
    "journalinfo"
    "subtitle"
    "slugcomment"
    "eqnarray"
    "footnote"
    "thempfn"
    "tabcaption"
    "thefigure"
    "la"
    "ga"
    "farcm"
    "farcs"
    "astap"
    "apjlett"
    "apjsupp"
    "applopt"
    "tablenum"
    "thetable"
    "label"
    "tabletypesize"
    "tablefontsize"
    "tablecaption"
    "tablenotemark"
    "startdata"
    "tablehead"
    "colhead"
    "tablewidth"
    "tableline"
    "LongTables"
    "tablenotetext"
    "nl"
    "caption"
    "tableheadfrac")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("deluxetable" 1)
    "deluxetable")
   (LaTeX-add-pagestyles
    "apjheads")
   (LaTeX-add-counters
    "lastfootnote")
   (LaTeX-add-lengths
    "bibbaselineskip"
    "keys"
    "plot"
    "table"
    "deluxe"
    "abovedeluxetableskip"
    "belowdeluxetableskip"))
 :latex)

