(TeX-add-style-hook
 "gmdoc"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("gmdocc" "countalllines" "codespacesgrey" "outeroff" "debug" "mwrep" "pagella" "trebuchet" "cursor" "fontspec=quiet")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("hyperref" "colorlinks=true" "linkcolor=deepblue" "urlcolor=blue" "filecolor=blue" "pdfstartview=FitH" "pdfview=FitBH" "pdfpagemode=UseNone")))
   (TeX-run-style-hooks
    "latex2e"
    "gmdocc"
    "gmdocc10"
    "gmutils"
    "xkeyval"
    "xcolor"
    "hyperref"
    "gmiflink"
    "gmverb"
    "makeidx"
    "multicol")
   (TeX-add-symbols
    '("skipgmlonely" ["argument"] 0)
    '("changes" ["argument"] 3)
    '("DeclareDOXHead" ["argument"] 1)
    '("thanks" 1)
    '("date" 1)
    '("author" 1)
    '("title" 1)
    '("ModuleVerb" 1)
    '("Module" 1)
    '("resetlinecountwith" 1)
    '("DocInput" 1)
    "settexcodehangi"
    "CodeTopsep"
    "MacroTopsep"
    "NonUniformSkips"
    "chunkskip"
    "nostanza"
    "gmd"
    "printlinenumber"
    "hyperlabel"
    "relax"
    "finish"
    "Declare"
    "quoted"
    "HLPrefix"
    "IndexMin"
    "GlossaryMin"
    "step"
    "ltxPageLayout"
    "ltxLookSetup"
    "olddocIncludes"
    "gmdocIncludes"
    "titlesetup"
    "PrintFilesAuthors"
    "SkipFilesAuthors"
    "FileInfo"
    "catother"
    "catactive"
    "catletter"
    "gmboxedspace"
    "ds"
    "CDAnd"
    "CDPerc"
    "AlsoImplementation"
    "CodeDelim"
    "UniformSkips"
    "AtEndInput"
    "AtBegInput"
    "tableofcontents"
    "AtBegInputOnce"
    "EOFMark"
    "CodeSpacesGrey"
    "skiplines"
    "ilrr"
    "ilju"
    "verbcodecorr"
    "LineNumFont"
    "QueerUFont"
    "QueerCharOne"
    "StraightEOL"
    "QueerEOL"
    "AddtoPrivateOthers"
    "verbatimfont"
    "codett"
    "ResultsIn"
    "CodeEscapeChar"
    "MakePrivateLetters"
    "MakePrivateOthers"
    "doprivateothers"
    "DeclareDefining"
    "UnDef"
    "UnPdef"
    "HideDef"
    "relaxen"
    "ResumeDef"
    "DeclareKVOFam"
    "HideAllDefining"
    "ResumeAllDefining"
    "HideDefining"
    "ResumeDefining"
    "IndexPrefix"
    "gmdindexrefcs"
    "gmdindexpagecs"
    "CommonEntryCmd"
    "DefIndex"
    "CodeUsgIndex"
    "CodeCommonIndex"
    "TextUsgIndex"
    "TextCommonIndex"
    "CodeMarginize"
    "Define"
    "CodeUsage"
    "index"
    "TextUsage"
    "gmdmarginpar"
    "marginpartt"
    "OldMacrocodes"
    "macrocode"
    "DoIndex"
    "UndoDefaultIndexExclusions"
    "DoNotIndex"
    "IndexPrologue"
    "indexdiv"
    "AtDIPrologue"
    "IndexLinksBlack"
    "IndexParms"
    "subitem"
    "subsubitem"
    "indexspace"
    "PrintIndex"
    "ModuleVerbClose"
    "changes"
    "MakeGlossaryControls"
    "ChangesGeneral"
    "ChangesStart"
    "generalname"
    "RecordChanges"
    "item"
    "GlossaryPrologue"
    "GlossaryParms"
    "PrintChanges"
    "CheckSum"
    "EOLwasQueer"
    "currentfile"
    "fullcurrentfile"
    "maketitle"
    "aalph"
    "thefilediv"
    "filesep"
    "filekey"
    "SetFileDiv"
    "SelfInclude"
    "InclMaketitle"
    "and"
    "thanks"
    "GetFileInfo"
    "filename"
    "fileinfo"
    "ProvideFileInfo"
    "ProvideSelfInfo"
    "edefInfo"
    "FileInfoFromName"
    "GeneralName"
    "BundleInfoFromName"
    "gmBundleFile"
    "gmdnoindent"
    "inverbpenalty"
    "breakablevisspace"
    "breakbslash"
    "breaklbrace"
    "inenv"
    "incmd"
    "inhash"
    "division"
    "subdivision"
    "subsubdivision"
    "AfterMacrocode"
    "mcdiagOn"
    "mcdiagOff"
    "mand"
    "opt"
    "CharacterTable"
    "DescribeMacro"
    "DescribeEnv"
    "Describe"
    "MacroFont"
    "MacroIndent"
    "MacrocodeTopsep"
    "SpecialEscapechar"
    "CodelineNumbered"
    "CodelineIndex"
    "PageIndex"
    "EnableCrossrefs"
    "DisableCrossrefs"
    "OnlyDescription"
    "StopEventually"
    "SpecialMainIndex"
    "SpecialMainEnvIndex"
    "SpecialIndex"
    "SpecialUsageIndex"
    "SpecialEnvIndex"
    "SortIndex"
    "verbatimchar"
    "DefEntry"
    "UsgEntry"
    "MakePercentIgnore"
    "MakePercentComment"
    "OldDocInput"
    "NoEOF"
    "EOF")
   (LaTeX-add-environments
    "oldmc"
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    "macrocode"
    "macro"
    "theglossary"
    "gmlonely"
    "copyrnote"
    "enumargs")
   (LaTeX-add-index-entries
    "#1\\actualchar#2")
   (LaTeX-add-pagestyles
    "titlepage"
    "plain")
   (LaTeX-add-counters
    "codelinenum"
    "DocInputsCount"
    "CheckSum"
    "StandardModuleDepth")
   (LaTeX-add-lengths
    "TextIndent"
    "CodeIndent"
    "stanzaskip"
    "gmd"))
 :latex)

