(TeX-add-style-hook
 "iwhdp"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("scrartcl" "final" "twoside" "captions=nooneline" "parskip=half-" "headings=normal" "12pt")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("babel" "UKenglish" "USenglish" "ngerman") ("inputenc" "utf8") ("fontenc" "T1") ("footmisc" "hang") ("textpos" "absolute") ("lineno" "pagewise" "switch*") ("datenumber" "ngerman" "english") ("csquotes" "babel" "german=quotes") ("biblatex" "	bibencoding=inputenc" "	bibstyle=authoryear" "	citestyle=authoryear" "	maxnames=3" "	minnames=2" "	maxbibnames=99" "	uniquename=false" "	firstinits=true" "backend=biber" "	hyperref=true")))
   (TeX-run-style-hooks
    "latex2e"
    "xifthen"
    "babel"
    "scrartcl"
    "scrartcl12"
    "scrpage2"
    "inputenc"
    "fontenc"
    "lmodern"
    "universalis"
    "footmisc"
    "setspace"
    "lscape"
    "rotating"
    "multicol"
    "textcomp"
    "float"
    "array"
    "booktabs"
    "longtable"
    "dcolumn"
    "pdfpages"
    "wallpaper"
    "graphicx"
    "amsmath"
    "amsfonts"
    "amssymb"
    "sansmath"
    "pifont"
    "xspace"
    "textpos"
    "lineno"
    "color"
    "datenumber"
    "geometry"
    "microtype"
    "csquotes"
    "biblatex"
    "suffix"
    "hyperref")
   (TeX-add-symbols
    '("tzit" ["argument"] 2)
    '("zit" ["argument"] 2)
    '("verify" 1)
    '("Mehr" 1)
    '("citetype" 1)
    '("citeaffixed" 2)
    "iwhlanguage"
    "iwhbib"
    "iwhbackend"
    "iwhconference"
    "iwhdraft"
    "linenoswitch"
    "trenn"
    "makebib"
    "cite"
    "citeyear"
    "citeasnoun"
    "citename"
    "citep"
    "citet"
    "pcite"
    "tcite"
    "pcites"
    "tcites"
    "nn"
    "mb"
    "fns"
    "Quelle"
    "fehlt"
    "Endemarke"
    "zB"
    "ua"
    "so"
    "eg"
    "cf"
    "seg"
    "ie"
    "Wkeit"
    "GG"
    "Wm"
    "CO"
    "IPCC"
    "RD"
    "narrowspacing"
    "fullspacing"
    "iwhdpname"
    "iwhtitlepage"
    "iwhsecondpage"
    "iwhthirdpageger"
    "iwhthirdpageeng"
    "makeiwhtitle"
    "bookspine"
    "iwhdpversion"
    "iwhdpdate"
    "filename"
    "classname"
    "author"
    "department"
    "tel"
    "email"
    "cauthor"
    "cdepartment"
    "ctel"
    "cemail"
    "ccauthor"
    "ccdepartment"
    "cctel"
    "ccemail"
    "cccauthor"
    "cccdepartment"
    "ccctel"
    "cccemail"
    "titlealt"
    "dpnumber"
    "dpdate"
    "jel"
    "keywords"
    "keywordsalt"
    "dpabstract"
    "dpabstractalt"
    "thanks"
    "thanksalt")
   (LaTeX-add-environments
    '("acronym" LaTeX-env-args ["argument"] 0)
    '("axiomlist" LaTeX-env-args ["argument"] 1)
    '("algorithmic" LaTeX-env-args ["argument"] 0)
    '("alterqcm" LaTeX-env-args ["argument"] 0)
    '("proof" LaTeX-env-args ["argument"] 0)
    '("gathered" LaTeX-env-args ["argument"] 0)
    '("alignedat" LaTeX-env-args ["argument"] 1)
    '("animateinline" LaTeX-env-args ["argument"] 1)
    '("AsciiDocList" LaTeX-env-args ["argument"] 0)
    '("AsciiList" LaTeX-env-args ["argument"] 1)
    '("decl" LaTeX-env-args ["argument"] 0)
    '("bchart" LaTeX-env-args ["argument"] 0)
    '("beamercolorbox" LaTeX-env-args ["argument"] 1)
    '("pauses" LaTeX-env-args ["argument"] 0)
    '("table" LaTeX-env-args ["argument"] 0)
    '("figure" LaTeX-env-args ["argument"] 0)
    '("overprint" LaTeX-env-args ["argument"] 0)
    '("enumstep" LaTeX-env-args ["argument"] 0)
    '("itemstep" LaTeX-env-args ["argument"] 0)
    '("slide" LaTeX-env-args ["argument"] 1)
    '("slide" LaTeX-env-args ["argument"] 0)
    '("blochsphere" LaTeX-env-args ["argument"] 0)
    '("bondgraph" LaTeX-env-args ["argument"] 0)
    '("xcalctab" LaTeX-env-args ["argument"] 0)
    '("calctab" LaTeX-env-args ["argument"] 0)
    '("calstable" LaTeX-env-args ["argument"] 0)
    '("baseenclosures" LaTeX-env-args ["argument"] 1)
    '("enclosures" LaTeX-env-args ["argument"] 0)
    '("adjustwidth" LaTeX-env-args ["argument"] 2)
    '("cnltxquote" LaTeX-env-args ["argument"] 0)
    '("papers" LaTeX-env-args ["argument"] 0)
    '("administrivia" LaTeX-env-args ["argument"] 0)
    '("tutorials" LaTeX-env-args ["argument"] 0)
    '("assignments" LaTeX-env-args ["argument"] 0)
    '("schedule" LaTeX-env-args ["argument"] 0)
    '("evaluation" LaTeX-env-args ["argument"] 0)
    '("introduction" LaTeX-env-args ["argument"] 0)
    '("textbooks" LaTeX-env-args ["argument"] 0)
    '("recipe" LaTeX-env-args ["argument"] 3)
    '("DTLthebibliography" LaTeX-env-args ["argument"] 1)
    '("DTLenvforeach" LaTeX-env-args ["argument"] 2)
    '("neatopic" LaTeX-env-args ["argument"] 0)
    '("dotpic" LaTeX-env-args ["argument"] 0)
    '("ErstelleGrafik" LaTeX-env-args ["argument"] 1)
    '("Table" LaTeX-env-args ["argument"] 1)
    '("Figure" LaTeX-env-args ["argument"] 1)
    '("move" LaTeX-env-args ["argument"] 1)
    '("Diagram" LaTeX-env-args ["argument"] 2)
    '("diagram" LaTeX-env-args ["argument"] 0)
    '("edstub" LaTeX-env-args ["argument"] 1)
    '("swapgender" LaTeX-env-args ["argument"] 0)
    '("psli" LaTeX-env-args ["argument"] 0)
    '("Eqlist" LaTeX-env-args ["argument"] 1)
    '("eqlist" LaTeX-env-args ["argument"] 0)
    '("erratum" LaTeX-env-args ["argument"] 1)
    '("workarea" LaTeX-env-args ["argument"] 1)
    '("problemmp" LaTeX-env-args ["argument"] 0)
    '("problem" LaTeX-env-args ["argument"] 0)
    '("test" LaTeX-env-args ["argument"] 0)
    '("risposta" LaTeX-env-args ["argument"] 1)
    '("tabella" LaTeX-env-args ["argument"] 2)
    '("etaremune" LaTeX-env-args ["argument"] 0)
    '("solutionorgrid" LaTeX-env-args ["argument"] 0)
    '("solutionordottedlines" LaTeX-env-args ["argument"] 0)
    '("solutionorlines" LaTeX-env-args ["argument"] 0)
    '("solutionorbox" LaTeX-env-args ["argument"] 0)
    '("solution" LaTeX-env-args ["argument"] 0)
    '("multiplechoice" LaTeX-env-args ["argument"] 0)
    '("shortanswer" LaTeX-env-args ["argument"] 0)
    '("truefalse" LaTeX-env-args ["argument"] 0)
    '("fillin" LaTeX-env-args ["argument"] 0)
    '("matching" LaTeX-env-args ["argument"] 0)
    '("solutionseries" LaTeX-env-args ["argument"] 2)
    '("exerciseseries" LaTeX-env-args ["argument"] 1)
    '("exercises" LaTeX-env-args ["argument"] 0)
    '("flagderiv" LaTeX-env-args ["argument"] 0)
    '("flashcard" LaTeX-env-args ["argument"] 1)
    '("fullminipage" LaTeX-env-args ["argument"] 0)
    '("gmatrix" LaTeX-env-args ["argument"] 0)
    '("maszynopis" LaTeX-env-args ["argument"] 0)
    '("gnuplot" LaTeX-env-args ["argument"] 0)
    '("Encap" LaTeX-env-args ["argument"] 3)
    '("Row" LaTeX-env-args ["argument"] 0)
    '("row" LaTeX-env-args ["argument"] 2)
    '("arttitsub" LaTeX-env-args ["argument"] 2)
    '("artsubtit" LaTeX-env-args ["argument"] 2)
    '("art" LaTeX-env-args ["argument"] 1)
    '("widedesc" LaTeX-env-args ["argument"] 0)
    '("flexlist" LaTeX-env-args ["argument"] 1)
    '("hvFloatEnv" LaTeX-env-args ["argument"] 0)
    '("inctext" LaTeX-env-args ["argument"] 0)
    "iwh"))
 :latex)

